// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

class CfgPatches
{
	class Ch47D
	{
		units[] = {Ch47D};
		weapons[] = {};
		requiredVersion = 1.10;
	};
};

class CfgVehicles
{
	class All {};
	class AllVehicles: All {};
	class Air: AllVehicles {};
	class Helicopter: Air {};

	class Ch47D: Helicopter
	{
		scope=public;
		crew = SoldierWPilot;
		picture=\ch47\ich47.paa;

		maxSpeed = 270;

		side=TWest;
		displayName=$STR_DN_CH47D;
		accuracy=0.30;
		armor=60;
		cost=10000000;

		model=\ch47\ch-47d;
		rotorBig = vrtule_uh_v;
		rotorBigBlend = vrtule_uh_v_bl;
		rotorSmall = vrtule_uh_m;
		rotorSmallBlend = vrtule_uh_m_bl;

		gunnerOpticsModel = "optika_empty";

		soundEngine[]={\Ch47\ch47engine,db+10,1.0};

		weapons[]={Browning};
		magazines[]={Browning};

		class Turret
		{
			gunAxis = "OsaHlavne";
			turretAxis = "OsaVeze";
			//soundServo[]={Vehicles\gun_elevate,db-40,1.0};
			soundServo[]={,db-40,1.0};

			gunBeg = "usti hlavne";
			gunEnd = "konec hlavne";
			
			minElev=-42; maxElev=+5;
			minTurn=30; maxTurn=150;

			body = "OtocVez";
			gun = "OtocHlaven";
		}

		driverAction = ManActUH60Pilot;
		gunnerAction = ManActCh47Gunner;

		gunnerUsesPilotView = true;

		transportSoldier = 24;
		transportAmmo = 0;

		initCargoAngleY=+10; // cargo viewing limitations
		minCargoAngleY=-60;
		maxCargoAngleY=+120;

		type=VAir;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.3, 1, 0.4};

		typicalCargo[]={Soldier, Soldier, SoldierLAW, SoldierLAW};
		class Reflectors
		{
			class Left
			{
				color[] = {0.8, 0.8, 1.0, 1.0};
				ambient[] = {0.07, 0.07, 0.07, 1.0};
				position = "L svetlo";
				direction = "konec L svetla";
				hitpoint = "L svetlo";
				selection = "L svetlo";
				size = 0.5;
				brightness = 1.0;
			};
			class Right
			{
				color[] = {0.8, 0.8, 1.0, 1.0};
				ambient[] = {0.07, 0.07, 0.07, 1.0};
				position = "P svetlo";
				direction = "konec P svetla";
				hitpoint = "P svetlo";
				selection = "P svetlo";
				size = 0.5;
				brightness = 1.0;
			};
		};
		class IndicatorAltRadar
		{
			// max for this indicator is 1000 feet (i.e. 304m)
			// note: this is actualy Baro altitude (name is wrong)
			selection = "alt";
			axis = "osa_alt";
			angle = -360;
			min = 0;
			max = 304;
		};
		class IndicatorAltBaro
		{
			// max for this indicator is 200 feet (i.e. 61m)
			// note: this is actualy Radar altitude (name is wrong)
			selection = "nm_alt";
			axis = "osa_nm_alt";
			angle = -180;
			min = 0;
			max = 61;
		};
		class IndicatorSpeed
		{
			selection = "mph";
			axis = "osa_mph";
			angle = -350;
			min = 0;
			max = 175;
		};
		class IndicatorVertSpeed
		{
			selection = "vert_speed";
			axis = "osa_vert_speed";
			angle = -300;
			min = -30;
			max = 30;
		};
		class IndicatorRPM
		{
			selection = "rpm";
			axis = "osa_rpm";
			angle = -320;
			min = 0;
			max = 12;
		};
		class IndicatorAltRadar2
		{
			// max for this indicator is 1000 feet (i.e. 304m)
			// note: this is actualy Baro altitude (name is wrong)
			selection = "alt2";
			axis = "osa_alt2";
			angle = -360;
			min = 0;
			max = 304;
		};
		class IndicatorAltBaro2
		{
			// max for this indicator is 200 feet (i.e. 61m)
			// note: this is actualy Radar altitude (name is wrong)
			selection = "nm_alt2";
			axis = "osa_nm_alt2";
			angle = -180;
			min = 0;
			max = 61;
		};
		class IndicatorSpeed2
		{
			selection = "mph2";
			axis = "osa_mph2";
			angle = -350;
			min = 0;
			max = 175;
		};
		class IndicatorVertSpeed2
		{
			selection = "vert_speed2";
			axis = "osa_vert_speed2";
			angle = -300;
			min = -30;
			max = 30;
		};
		class IndicatorRPM2
		{
			selection = "rpm2";
			axis = "osa_rpm2";
			angle = -320;
			min = 0;
			max = 12;
		};
	};
};

class CfgNonAIVehicles
{
	class ProxyCrew {};
	class ProxyGunner: ProxyCrew {};
	class ProxyCh47Gunner: ProxyGunner {};
};

#define SPEED_STATIC 1e10

class CfgVehicleActions
{
	ch47Gunner = "ch47Gunner";
};

class CfgMovesMC
{
	class Default {};
	class DefaultDie: Default {};

	class States
	{
		class Driver: Default {};

		#define VEH_DIE_CONN(Name,anim,time) \
			class Name##Dying: DefaultDie \
			{ \
				actions = NoActions; \
				file=anim##smrt.rtm; \
				speed=-time; \
				looped=false; \
				soundEnabled=false; \
				connectFrom[]={Name,1}; \
			}; \
			class Name##Dead: Name##Dying \
			{ \
				actions = DeadActions; \
				file=anim##smrt2.rtm; \
				speed=SPEED_STATIC; \
				terminal = true; \
				connectFrom[]={Name##Dying,1}; \
				connectTo[]={DeadState,1}; \
			}
		#define VEHIN_MOVES_VAR(Name,anim,vartime) \
			class Name: Driver \
			{ \
				file=anim##stat.rtm; \
				speed=SPEED_STATIC; \
				looped=true; \
				variantsAI[]= {Name##V1,0.7,Name};\
				interpolateWith[]={Name##V1,0.5};\
				equivalentTo=Name; \
				interpolationSpeed=1; \
				connectTo[]={Name##Dying,1}; \
			} \
			class Name##V1: Name \
			{ \
				file=anim.rtm; \
				speed=-vartime; \
				looped=true; \
			}
		#define VEH_MOVES_VAR(Name,anim,time,vartime) \
			VEHIN_MOVES_VAR(Name,anim,vartime); \
			VEH_DIE_CONN(Name,anim,time)

		VEH_MOVES_VAR(Ch47Gunner, \ch47\ch47gunner, 1, 4);
	};
};
