// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot				0// dummy weapons
#define WeaponSlotPrimary		1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem			256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted		65536

class CfgPatches
{
	class Kozlice
	{
		units[] = {};
		weapons[] = {Kozlice};
		requiredVersion = 1.01;
	};
};

class CfgAmmo
{
	
	class default {};

	class BulletSingle : Default
	{	};
	
	class KozliceBall : BulletSingle {};
	
	class BulletBurst: BulletSingle {};
	
	class KozliceShell : BulletBurst
	{
		hit=9;indirectHit=6;indirectHitRange=0.1;
	};
	
};

class CfgWeapons
{
	class Default	{};
	class MGun: Default {};
	class Riffle: MGun {};

	class KozliceBall: Riffle
	{
		scopeWeapon = private;
		scopeMagazine = public;

		modelOptics="\kozl\optika_kozlice";
		picture="\kozl\m_kozlice2.paa";
		optics = true;
		opticsZoomMin=0.35; //was 0.21
		opticsZoomMax=0.35;

		displayName = $STR_DN_KOZLICE_BALL;
		displayNameMagazine = $STR_MN_KOZLICE_BALL;
		shortNameMagazine = $STR_SN_KOZLICE_BALL;
		drySound[]={"weapons\M16dry",db-40,1};	// empty magazine

		
		ammo = KozliceBall;
		count = 1;
		multiplier=1;
		burst=1;
		dispersion=0.0002;
		sound[]={\kozl\kozl_single,db0,1};
		reloadMagazineSound[]={\kozl\kozl_load,db-70,1};


		soundContinuous=false;
		reloadTime=0.05;
		ffCount=1;
		recoil=sniperSingle;
		recoilFixed=riffleSingleFixed;
		autoFire = false;
		aiRateOfFire=5.0; // delay between shots at given distance
		aiRateOfFireDistance=500; // at shorter distance delay goes lineary to zero

		useAction = false;
		useActionTitle = "";
	};

	class KozliceShell: Riffle
	{
		scopeWeapon = private;
		scopeMagazine = public;

		modelOptics="\kozl\optika_kozlice";
		picture="\kozl\m_kozlice1.paa";
		optics = true;
		opticsZoomMin=0.35; //was 0.21
		opticsZoomMax=0.35;

		displayName = $STR_DN_KOZLICE_SHELL;
		displayNameMagazine = $STR_MN_KOZLICE_SHELL;
		shortNameMagazine = $STR_SN_KOZLICE_SHELL;
		drySound[]={"weapons\M16dry",db-40,1};	// empty magazine
		
		muzzles[] = {};

		ammo = KozliceShell;
		count = 7;
		multiplier=1;
		division=7; //added for fix in the US version of wrong ammo count
		burst=7;
		dispersion=0.0001;
		sound[]={\kozl\kozl_single,db0,1};
		reloadMagazineSound[]={\kozl\kozl_load,db-70,1};
		
		soundContinuous=false;
		reloadTime=0.001;
		magazineReloadTime=3;	
		ffCount=1;
		recoil=sniperSingle;
		recoilFixed=riffleSingleFixed;
		autoFire = false;
		aiRateOfFire=5.0; // delay between shots at given distance
		aiRateOfFireDistance=500; // at shorter distance delay goes lineary to zero

		useAction = false;
		useActionTitle = "";
	};

	class Kozlice
	{
		scopeWeapon = public;
		scopeMagazine = private;

		weaponType = WeaponSlotPrimary;

		displayName = $STR_DN_KOZLICE;
		model="\kozl\kozlice";
		picture="\kozl\w_kozlice.paa";

		muzzles[] = {KozliceBallMuzzle, KozliceShellMuzzle};
		class KozliceBallMuzzle : KozliceBall
		{
			magazines[] = {KozliceBall};
		};
		class KozliceShellMuzzle : KozliceShell
		{
			magazines[] = {KozliceShell};
		}
	};
};

class CfgNonAIVehicles
{
	class ProxyWeapon {};
	class ProxyKozlice: ProxyWeapon {};
};