// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

class CfgPatches
{
	class Su25
	{
		units[] = {Su25};
		weapons[] = {};
		requiredVersion = 1.07;
	};
};

class CfgAmmo
{
	class Default {};
	class AT3: Default {};
	class Hellfire: AT3 {};
	class Maverick: Hellfire {};
	class Ch29T : Maverick
	{
		model = \Su25\Ch_29T_shine;
	};
};

class CfgWeapons
{
	class Default {};
	class LAWLauncher: Default {};
	class CarlGustavLauncher : LAWLauncher {};
	class AT3Launcher: CarlGustavLauncher {};
	class HellfireLauncher: AT3Launcher {};
	class MaverickLauncher: HellfireLauncher {};
	class Ch29TLauncher: MaverickLauncher
	{
		ammo=Ch29T;
		displayName=$STR_DN_CH29T;
		displayNameMagazine=$STR_MN_CH29T;
		shortNameMagazine=$STR_SN_CH29T;
		count=6;
	};
};


class CfgVehicles
{
	class All {};
	class AllVehicles: All {};
	class Air: AllVehicles {};
	class Plane: Air {};

	class Su25: Plane
	{
		scope=public;
		crew = SoldierEPilot;
		picture=\su25\isu25;

		side=TEast;
		displayName=$STR_DN_SU25;
		accuracy=0.30;

		driverAction = ManActA10Pilot;

		maxSpeed = 800;

		armor=24;
		cost=20000000;
		model="\su25\su25";
		weapons[]={Ch29TLauncher, Rocket57x64, MachineGun30A10};
		magazines[]={Ch29TLauncher, Rocket57x64, MachineGun30A10};
		fov=0.5;

		type=VAir;
		//threat[] VSoft, VArmor, VAir 
		threat[]={0.1, 1, 0.7};

		class Reflectors
		{
			class Reflector
			{
				color[] = {0.9, 0.8, 0.8, 1.0};
				ambient[] = {0.1, 0.1, 0.1, 1.0};
				position = "L svetlo";
				direction = "konec L svetla";
				hitpoint = "L svetlo";
				selection = "L svetlo";
				size = 0.5;
				brightness = 0.25;
			};
		};

		class IndicatorAltRadar
		{
			// max for this indicator is 1000 feet (i.e. 304m)
			// note: this is actualy Baro altitude (name is wrong)
			selection = "alt";
			axis = "osa_alt";
			angle = -340;
			min = 0;
			max = 1000;
		};
		class IndicatorAltRadar2
		{
			// max for this indicator is 1000 feet (i.e. 304m)
			// note: this is actualy Baro altitude (name is wrong)
			selection = "alt2";
			axis = "osa_alt2";
			angle = -340;
			min = 0;
			max = 1000;
		};
		class IndicatorSpeed
		{
			selection = "mph";
			axis = "osa_mph";
			angle = -350;
			min = 0;
			max = 1000 / 3.6;
		};
		class IndicatorVertSpeed
		{
			selection = "vert_speed";
			axis = "osa_vert_speed";
			angle = -240;
			min = -150;
			max = 150;
		};
		class IndicatorVertSpeed2
		{
			selection = "vert_speed2";
			axis = "osa_vert_speed2";
			angle = -240;
			min = -150;
			max = 150;
		};
	};
};

class CfgNonAIVehicles
{
	class ProxyWeapon {};
	class ProxyCh_29T : ProxyWeapon {model = \Su25\Ch_29T; simulation = "maverickweapon";}
};
