// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

class CfgPatches
{
	class Trabant
	{
		units[] = {Trabant};
		weapons[] = {};
		requiredVersion = 1.01;
	};
};

class CfgVehicles
{
	class All {};
	class AllVehicles: All {};
	class Land: AllVehicles {};
	class LandVehicle: Land {};
	class Car: LandVehicle {};
	class SkodaHelper: Car {};
	class SkodaBase: SkodaHelper {};

	class Trabant: SkodaBase
	{
		vehicleClass="Car";

		scope=public;
		picture=\trab\itrabant;

		maxSpeed=100;

		displayName=$STR_DN_TRABANT;
		nameSound="car";
		accuracy=0.50;

		armor=1;
		cost=1000;
		fuelCapacity=50;

		transportSoldier = 3;

		model=\trab\trabant;

		soundEngine[]={\trab\trabbi,db-35,1.0};

		weapons[]={SportCarHorn};
		magazines[]={};

		typicalCargo[]={};

		driverAction = ManActTrabiDriver;

		dammageHalf[]=
		{
			jeep_kab_sklo1.paa,jeep_kab_sklo1B.paa
		};
		dammageFull[]=
		{
			jeep_kab_sklo1.paa,jeep_kab_sklo1C.paa
		};

		class IndicatorSpeed
		{
			selection = "ukaz_rychlo";
			axis = "osa_rychlo";
			angle = -260;
			min = 0;
			max = 120 / 3.6;
		};
	};
};

class CfgNonAIVehicles
{
	class ProxyCrew {};
	class ProxyDriver: ProxyCrew {};
	class ProxyTrabiDriver: ProxyDriver {};
};

#define SPEED_STATIC 1e10

class CfgVehicleActions
{
	trabiDriver = "trabiDriver";
};

class CfgMovesMC
{
	class Default {};
	class DefaultDie: Default {};

	class States
	{
		class Driver: Default {};

		#define VEH_DIE_CONN(Name,anim,time) \
			class Name##Dying: DefaultDie \
			{ \
				actions = NoActions; \
				file=anim##smrt.rtm; \
				speed=-time; \
				looped=false; \
				soundEnabled=false; \
				connectFrom[]={Name,1}; \
			}; \
			class Name##Dead: Name##Dying \
			{ \
				actions = DeadActions; \
				file=anim##smrt2.rtm; \
				speed=SPEED_STATIC; \
				terminal = true; \
				connectFrom[]={Name##Dying,1}; \
				connectTo[]={DeadState,1}; \
			}
		#define VEHIN_MOVES_VAR(Name,anim,vartime) \
			class Name: Driver \
			{ \
				file=anim##stat.rtm; \
				speed=SPEED_STATIC; \
				looped=true; \
				variantsAI[]= {Name##V1,0.7,Name};\
				interpolateWith[]={Name##V1,0.5};\
				equivalentTo=Name; \
				interpolationSpeed=1; \
				connectTo[]={Name##Dying,1}; \
			} \
			class Name##V1: Name \
			{ \
				file=anim.rtm; \
				speed=-vartime; \
				looped=true; \
			}
		#define VEH_MOVES_VAR(Name,anim,time,vartime) \
			VEHIN_MOVES_VAR(Name,anim,vartime); \
			VEH_DIE_CONN(Name,anim,time)

		VEH_MOVES_VAR(TrabiDriver, \trab\trabidriver, 1, 4);
	};
};
